typedef	long	cList;
extern int Enable_Abort;

long					AbleICR();
long					AbortIO();
long					ActivateGadget();
void					ActivateWindow();
void					AddAnimOb();
void					AddBob();
void					AddConfigDev();
void					AddDevice();
long					AddDosNode();
void					AddFont();
void					AddFreeList();
short					AddGadget();
unsigned short			AddGList();
void					AddHead();
struct Interrupt *		AddICRVector();
void					AddIntServer();
void					AddLibrary();
long					AddMemList();
void					AddPort();
void					AddResource();
void					AddSemaphore();
void					AddTail();
void					AddTask();
void					AddTime();
void					AddVSprite();
long					Alert();
void *					AllocAbs();
long					AllocBoardMem();
cList					AllocCList();
struct ConfigDev *		AllocConfigDev();
struct MemList *		AllocEntry();
unsigned long			AllocExpansionMem();
void *					AllocMem();
long					AllocPotBits();
void *					AllocRaster();
char *					AllocRemember();
long					AllocSignal();
long					AllocTrap();
struct WBObject *		AllocWBObject();
void *					Allocate();
void					AlohaWorkbench();
void					AndRectRegion();
long					AndRegionRegion();
void					Animate();
short					AreaDraw();
long					AreaEllipse();
void					AreaEnd();
short					AreaMove();
void					AskFont();
long					AskSoftStyle();
long					AttemptLockLayerRom();
long					AttemptSemaphore();
short					AutoRequest();
long					AvailFonts();
long					AvailMem();
void					BeginIO();
void					BeginRefresh();
void					BeginUpdate();
void					BeginLayer();
long					BltBitMap();
long					BltBitMapRastPort();
void					BltClear();
void					BltMaskBitMapRastPort();
void					BltPattern();
void					BltTemplate();
struct Window *			BuildSysRequest();
char *					BumpRevision();
void					Cause();
void					CBump();
struct Events *			CDInputHandler();
void					ChangeSprite();
struct IORequest *		CheckIO();
short					ClearDMRequest();
void					ClearEOL();
void					ClearMenuStrip();
void					ClearPointer();
void					ClearRegion();
long					ClearRectRegion();
void					ClearScreen();
void					ClipBit();
void					Close();
void					CloseDevice();
void					CloseFont();
void					CloseLibrary();
void					CloseScreen();
void					CloseWindow();
short					CloseWorkBench();
void					CMove();
short					CmpTime();
long					ConcatCList();
long					ConfigBoard();
long					ConfigChain();
long					ConsoleDevice();
long					CopperListInit();
cList					CopyCList();
void					CopyMem();
void					CopyMemQuick();
void					CopySBitMap();
struct Layer *			CreateBehindLayer();
struct FileLock *		CreateDir();
struct MsgPort *		CreatePort();
struct Process *		CreateProc();
struct IOStdReq *		CreateStdIO();
struct Task *			CreateTask();
struct Layer *			CreateUpfrontLayer();
struct FileLock *		CurrentDir();
void					CurrentTime();
void					CWait();
long *					DateStamp();
void					Deallocate();
void					Debug();
void					Delay();
short					DeleteFile();
void					DeleteLayer();
void					DeletePort();
void					DeleteStdIO();
void					DeleteTask();
struct Process *		DeviceProc();
void					Disable();
void					DisownBlitter();
short					DisplayAlert();
void					DisplayBeep();
void					DisposeRegion();
void					DoCollision();
long					DoIO();
short					DoubleClick();
void					Draw();
void					DrawBorder();
void					DrawEllipse();
void					DrawGList();
void					DrawImage();
struct FileLock *		DupLock();
void					Enable();
void					EndRefresh();
void					EndRequest();
void					EndUpdate();
void					Enqueue();
short					ExNext();
short					Examine();
short					Execute();
void					Exit();
struct ConfigDev *		FindConfigDev();
struct Node *			FindName();
struct MsgPort *		FindPort();
struct Resident *		FindResident();
struct SignalSemaphore *FindSemaphore();
struct Task *			FindTask();
char *					FindToolType();
short					Flood();
void					FlushCList();
void					Forbid();
void					FreeBoardMem();
void					FreeCList();
void					FreeColorMap();
void					FreeConfigDev();
void					FreeCopList();
void					FreeCprList();
void					FreeDiskObject();
void					FreeEntry();
void					FreeExpansionMem();
void					FreeFreeList();
void					FreeGBuffers();
void					FreeMem();
void					FreePotBits();
void					FreeRaster();
void					FreeRemember();
void					FreeSignal();
void					FreeSprite();
void					FreeSysRequest();
void					FreeTrap();
void					FreeVPortCopLists();
void					FreeWBObject();
long					GetCC();
long					GetCLBuf();
short					GetCLChar();
short					GetCLWord();
struct ColorMap *		GetColorMap();
long					GetCurrentBinding();
struct Preferences *	GetDefPrefs();
struct DiskObject *		GetDiskObject();
short					GetGBuffers();
long					GetIcon();
struct Message *		GetMsg();
struct Preferences *	GetPrefs();
short					GetRGB4();
long					GetScreenData();
short					GetSprite();
struct WBObject *		GetWBObject();
long					IncrCLMark();
short					Info();
void					InitArea();
void					InitBitMap();
long					InitCLPool();
void					InitCode();
void					InitGMasks();
void					InitGels();
void					InitMasks();
void					InitRastPort();
void					InitRequester();
void					InitResident();
void					InitSemaphore();
void					InitStruct();
void					InitTmpRas();
void					InitVPort();
void					InitView();
struct FileHandle *		Input();
void					Insert();
struct Region *			InstallClipRegion();
long					IntuiTextLength();
struct InputEvent *		Intuition();
long					IoErr();
short					IsInteractive();
struct MenuItem *		ItemAddress();
void					LoadRGB4();
struct Segment *		LoadSeg();
void					LoadView();
struct FileLock *		Lock();
void					LockLayer();
void					LockLayerInfo();
void					LockLayerRom();
void					LockLayers();
struct DeviceNode *		MakeDosNode();
long					MakeFunctions();
struct Library *		MakeLibrary();
void					MakeScreen();
void					MakeVPort();
long					MarkCList();
long					MatchToolValue();
void					ModifyIDCMP();
void					ModifyProp();
void					Move();
long					MoveLayer();
void					MoveScreen();
void					MoveSprite();
void					MoveWindow();
void					MrgCop();
void					NewList();
void					NewModifyProp();
struct Region *			NewRegion();
void					ObtainConfigBinding();
void					ObtainSemaphore();
void					ObtainSemaphoreList();
void					OffGadget();
void					OffMenu();
void					OnGadget();
void					OnMenu();
struct FileHandle *		Open();
long					OpenDevice();
struct Font *			OpenDiskFont();
struct Font *			OpenFont();
void					OpenIntuition();
struct Library *		OpenLibrary();
struct MiscResource *	OpenResource();
struct Screen *			OpenScreen();
struct Window *			OpenWindow();
short					OpenWorkBench();
void					OrRectRegion();
long					OrRegionRegion();
struct FileHandle *		Output();
void					OwnBlitter();
struct FileLock *		ParentDir();
short					PeekCLMark();
void					Permit();
void					PolyDraw();
void					PrintIText();
long					PutCLBuf();
long					PutCLChar();
long					PutCLWord();
short					PutDiskObject();
long					PutIcon();
void					PutMsg();
long					PutWBObject();
void					QBSBlit();
void					QBlit();
short					RawKeyConvert();
long					Read();
char					ReadExpansionByte();
long					ReadExpansionRom();
short					ReadPixel();
void					RectFill();
void					RefreshGadgets();
void					RefreshGList();
void					RefreshWindowFrame();
void					ReleaseConfigBinding();
void					ReleaseSemaphore();
void					ReleaseSemaphoreList();
void					RemConfigDev();
long					RemDevice();
void					RemFont();
struct Node *			RemHead();
void					RemIBob();
void					RemICRVector();
void					RemIntServer();
long					RemLibrary();
unsigned short			RemoveGList();
void					RemPort();
void					RemResource();
void					RemSemaphore();
struct Node *			RemTail();
void					RemTask();
void					RemVSprite();
void					RemakeDisplay();
void					Remove();
unsigned short			RemoveGadget();
short					Rename();
void					ReplyMsg();
void					ReportMouse();
short					Request();
void					RethinkDisplay();
void					ScreenToBack();
void					ScreenToFront();
void					ScrollLayer();
void					ScrollRaster();
void					ScrollVPort();
long					Seek();
void					SendIO();
void					SetAPen();
void					SetBPen();
void					SetCollision();
short					SetComment();
void					SetCurrentBinding();
short					SetDMRequest();
void					SetDRMd();
long					SetExcept();
long					SetFont();
long					SetFunction();
long					SetICR();
struct Interrupt *		SetIntVector();
short					SetMenuStrip();
void					SetPointer();
struct Preferences *	SetPrefs();
short					SetProtection();
void					SetRast();
void					SetRGB4();
void					SetRGB4CM();
long					SetSR();
long					SetSignal();
long					SetSoftStyle();
short					SetTaskPri();
void					SetWindowTitles();
void					ShowTitle();
void					Signal();
long					SizeCList();
short					SizeLayer();
void					SizeWindow();
void					SortGList();
cList					SplitCList();
cList					SubCList();
void					SubTime();
void					SubLibrary();
void					SumKickData();
long					SuperState();
void					SwapBitsRastPortClipRect();
void					SyncSBitMap();
long					Text();
long					TextLength();
long					Translate();
long					UnGetCLChar();
long					UnGetCLWord();
void					UnLoadSeg();
void					UnLock();
short					UnPutCLChar();
short					UnPutCLWord();
void					UnlockLayer();
void					UnlockLayerInfo();
void					UnlockLayerRom();
void					UnlockLayers();
short					UpfrontLayer();
void					UserState();
short					VBeamPos();
struct View *			ViewAddress();
struct ViewPort *		ViewPortAddress();
short					WBenchToBack();
short					WBenchToFront();
long					Wait();
void					WaitBOVP();
void					WaitBlit();
short					WaitForChar();
long					WaitIO();
struct Message *		WaitPort();
void					WaitTOF();
struct Layer *			WhichLayer();
short					WindowLimits();
void					WindowToBack();
void					WindowToFront();
long					Write();
long					WriteExpansionByte();
void					WritePixel();
void					WritePotgo();
void					XorRectRegion();
long					XorRegionRegion();

